import { Component, Input } from '@angular/core';
import { Spell } from 'src/interfaces/spell';
import { ModalService } from 'src/services/modal/modal.service';
import { UtilsService } from 'src/services/utils/utils.service';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'app-full-spellcard',
  templateUrl: './full-spellcard.component.html',
  styleUrl: './full-spellcard.component.scss',
})
export class FullSpellcardComponent {
  @Input() public spell!: Spell;
  @Input() public isFromDashboard!: boolean;
  @Input() public alreadyInFavorites!: boolean;

  public saveDC: number = 0;
  public attackBonus: string = '+3';

  public constructor(
    private modalAccessor: ModalService,
    public utils: UtilsService,
    public translate: TranslateService,
  ) {}

  // ngOnInit(): void {
  //   console.log('Der zauber: ', this.spell);
  // }

  public setBackupImage(event: any): void {
    event.target.src = 'assets/images/spells/backup.jpg';
  }

  public delete(): void {
    this.modalAccessor.handleModalClosing('delete', undefined);
  }

  public remove(): void {
    this.modalAccessor.handleModalClosing('remove', undefined);
  }

  public update(): void {
    this.modalAccessor.handleModalClosing('update', undefined);
  }

  public addToFavorites(): void {
    this.modalAccessor.handleModalClosing('add', undefined);
  }
}
